﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.07
@EndOfDesignText@
'Static code module
Sub Class_Globals	
	Public vuetify As VuetifyApp
	Public page As VueComponent
	Public path As String
	Public name As String = "home"
	Private banano As BANano			'ignore
	Private btnStartLoader As VBtn		'ignore
	Private btnStopLoader As VBtn		'ignore
	
	Private VueTable1 As VueTable	'ignore
End Sub

Sub Initialize(v As VuetifyApp)						'ignoreDeadCode
	'establish a reference to the app
	vuetify = v
	'initialize the component
	page.Initialize(Me, name)
	page.vuetify = vuetify
	'make this the start page
	page.StartPage
	path = page.path

	'build the page html here
	banano.LoadLayout(page.Here, "home")
	
	page.OnMounted("onmounted",Null) 
	
	'add this route component to the app
	vuetify.AddRoute(page)
End Sub	

Sub onmounted 'ignore
	VueTable1.Clear
	For i=1 To 5
		Dim Row As Map = CreateMap("name":"Name_" & I, "active":False)
		VueTable1.AddItem(Row)
	Next
	
End Sub

Private Sub VueTable1_ColumnName_Change (item As Map)
	vuetify.ShowSwalToastInfo(item.Get("name"),2000)
End Sub

Private Sub VueTable1_active_Change (item As Map)
	' Don't Work
	vuetify.ShowSwalToastInfo("Active_change " & item.Get("active"),2000)
End Sub

Private Sub VueTable1_Change (item As Map)
	vuetify.ShowSwalToastInfo("Change " & item.Get("name"),2000)
End Sub

'Use beforeDestroy if you need to clean-up events or reactive subscriptions:	
'Sub beforedestroy		'ignoreDeadCode
'	Log("beforedestroy")
'End Sub

'The updated hook runs after data changes on your component and the DOM re-renders.
'Sub updated			'ignoreDeadCode
'	Log("updated")
'End Sub

'The beforeUpdate hook runs after data changes on your component and the update cycle begins, right before the DOM is patched and re-rendered.
'Sub beforeupdate		'ignoreDeadCode
'	Log("beforeupdate")
'End Sub

'The beforeMount hook runs right before the initial render happens and after the template or render functions have been compiled:
'Sub beforemount		'ignoreDeadCode
'	Log("beforemount")
'End Sub

'The beforeCreate hook runs at the very initialization of your component. data has not been made reactive, and events have not been set up yet
'Sub beforecreate		'ignoreDeadCode
'	Log("beforecreate")
'End Sub

'You are able to access reactive data and events that are active with the created hook.
'Templates and Virtual DOM have not yet been mounted or rendered:
'Sub created		'IgnoreDeadCode
'	Log("created")
'End Sub

'In the mounted hook, you will have full access to the reactive component, templates, and rendered DOM
'Sub mounted		'ignoreDeadCode
'	Log("mounted")
'End Sub

'Use destroyed if you need do any last-minute cleanup or inform a remote server that the component was destroyed:
'Sub destroyed		'ignoreDeadCode
'	Log("destroyed")
'End Sub

